using System;
using System.Numerics;
using System.Diagnostics;


class Program
{
    

    static void Main()
    {
        var linija = Console.ReadLine().Split();
        BigInteger a = BigInteger.Parse(linija[0]);
        BigInteger b= BigInteger.Parse(linija[1]);
        linija = Console.ReadLine().Split();
        BigInteger x = BigInteger.Parse(linija[0]);
        BigInteger y = BigInteger.Parse(linija[1]);

        if (a==x && b==y)
        {
            Console.WriteLine("nijedan");
        }
        else
        {
            if (x==a && y<b)
            {
                Console.WriteLine("drugi");
            }
            else if (y==b && x<a)
            {
                Console.WriteLine("prvi");
            }
            else
            {
                Console.WriteLine("?");
            }
        }



    }
}